package com.zcloud.zcGbsServicer.command;

import com.zcloud.zcGbsServicer.domain.gateway.PumpRoomGateway;
import com.zcloud.zcGbsServicer.domain.model.PumpRoomE;
import com.zcloud.zcGbsServicer.dto.PumpRoomAddCmd;
import com.alibaba.cola.exception.BizException;
import lombok.AllArgsConstructor;
import org.springframework.beans.BeanUtils;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;




/**
* web-app
* @Author makejava
* @Date 2026-01-21 17:22:16
*/
@Component
@AllArgsConstructor
public class PumpRoomAddExe {
    private final PumpRoomGateway pumpRoomGateway;

    @Transactional(rollbackFor = Exception.class)
    public boolean execute(PumpRoomAddCmd cmd) {
        PumpRoomE pumpRoomE = new PumpRoomE();
        BeanUtils.copyProperties(cmd, pumpRoomE);
        boolean res = false;
        try {
            res = pumpRoomGateway.add(pumpRoomE);
        } catch (Exception e) {
            throw new RuntimeException(e);
        }
        if (!res) {
            throw new BizException("保存失败");
        }
        return true;
    }
}

